Skip to main content
GET
/
api
/
payments
/
razorpay
/
{environment}
/
webhook
Get Razorpay Webhook Setup Values
curl --request GET \
  --url https://api.example.com/api/payments/razorpay/{environment}/webhook \
  --header 'Authorization: Bearer <token>'
{
  "connection": {
    "accountId": "acc_123",
    "merchantName": "Example Merchant",
    "accountLivemode": true,
    "webhookEndpointId": "manual",
    "webhookEndpointUrl": "https://api.example.com/api/webhooks/razorpay/test",
    "webhookConfiguredAt": "2023-11-07T05:31:56Z",
    "maskedKey": "rzp_test_...abcd",
    "lastSyncedAt": "2023-11-07T05:31:56Z",
    "lastSyncError": "<string>",
    "lastSyncCounts": {}
  },
  "webhookUrl": "https://api.example.com/api/webhooks/razorpay/test",
  "webhookSecret": "webhook_secret_xxx"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Response

Razorpay webhook setup values

connection
object
required
webhookUrl
string
required

Webhook endpoint URL to copy into the Razorpay Dashboard.

Example:

"https://api.example.com/api/webhooks/razorpay/test"

webhookSecret
string
required

Raw signing secret to copy into the Razorpay Dashboard.

Example:

"webhook_secret_xxx"